https://github.com/shemminga/rotix/pull/3
From: "Azamat H. Hackimov" <azamat.hackimov@gmail.com>
Date: Fri, 15 Sep 2023 17:00:38 +0300
Subject: [PATCH 1/3] Implementing meson build-system

Replacing old configure/make system.
--- /dev/null
+++ b/meson.build
@@ -0,0 +1,17 @@
+project('rotix', 'c', version: '0.83', license: 'GPL-2.0-or-later')
+cc = meson.get_compiler('c')
+
+if get_option('i18n')
+  subdir('po')
+endif
+
+if not cc.check_header('getopt.h')
+  add_project_arguments('-DNO_GETOPT_LONG=1', language:'c')
+endif
+
+
+src = ['help.c', 'rot.c', 'rotix.c']
+
+executable('rotix', sources: src, install: true)
+install_man('rotix.1')
+
--- /dev/null
+++ b/meson_options.txt
@@ -0,0 +1,2 @@
+option('i18n', type: 'boolean', value: true)
+
--- /dev/null
+++ b/po/LINGUAS
@@ -0,0 +1 @@
+nl
--- /dev/null
+++ b/po/POTFILES
@@ -0,0 +1,4 @@
+help.c
+rot.c
+rotix.c
+
--- /dev/null
+++ b/po/meson.build
@@ -0,0 +1,10 @@
+i18n = import('i18n')
+
+add_project_arguments(
+  [
+    '-DI18N=1',
+    '-DPACKAGE="rotix"',
+    '-DLOCALEDIR="@0@"'.format( get_option('prefix') / get_option('localedir'))
+  ], language:'c')
+i18n.gettext(meson.project_name())
+
similarity index 100%
rename from po/NL.po
rename to po/nl.po
-- 
2.41.0

